<?php
/**
*
* empennage [English]
*
* @package empennage: Add code and content to the top/bottom of pages
* @copyright (c) 2014 c61 c61@yandex.ru http://c61.su
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'ACP_EMPENNAGE'						=> 'Add code and content to the top/bottom of pages',
	'ACP_EMPENNAGE_EXPLAIN'				=> 'Changing settings',

	'ACP_EMPENNAGE_CM_BUTTON'			=> 'Fullscreen editor',

	'ACP_EMPENNAGE_DESCRIPTION'			=> 'The extension add code and content to the top/bottom of pages (css, html, javascript) for all styles. You can use this extension to add announcements, counters, informers, debug Your own styles or scripts, etc.',

	'ACP_EMPENNAGE_ADD_STYLESHEETS_JS'	=> 'Add stylesheet or javascript to header',
	'ACP_EMPENNAGE_CONTENT_HEADER_STYLESHEETS_AFTER_ON'		=> 'Switch ON',
	'ACP_EMPENNAGE_CONTENT_HEADER_STYLESHEETS_AFTER_ON_EXPLAIN'		=> '',
	'ACP_EMPENNAGE_CONTENT_HEADER_STYLESHEETS_AFTER'		=> 'Stylesheet or javascript',
	'ACP_EMPENNAGE_CONTENT_HEADER_STYLESHEETS_AFTER_EXPLAIN'		=> 'Use &lt;style type="text/css"&gt;...&lt;/style&gt; for stylesheets and &lt;script type="text/javascript"&gt;...&lt;/script&gt; for javascripts<br />(See Template Event overall_header_stylesheets_after)',

	'ACP_EMPENNAGE_ADD_ANNOUNCEMENT'	=> 'Add announcement to page top before main content',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_ON'		=> 'Switch ON announcement',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_ON_EXPLAIN'		=> 'See conditions below (OR/AND)',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_BOTS'		=> 'Switch ON for bots',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_BOTS_EXPLAIN'		=> '(Announcement is visible for bots)<br />OR',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_GUESTS'	=> 'Switch ON for guests',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_GUESTS_EXPLAIN'	=> '(Announcement is visible for guests)<br />OR',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_USERS'		=> 'Switch ON for registered users',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_USERS_EXPLAIN'		=> '(Announcement is visible for guests)<br />OR))',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_URL_MASK'	=> 'Switch ON for page name and query string, meet the regular expression',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_URL_MASK_EXPLAIN'	=> 'AND ((Regular expression is empty) OR (Regular expression returns nonempty result))<br />Examples:<br />&nbsp;&bull;&nbsp;For login page:<br />&nbsp;&nbsp;&nbsp;/ucp.php\?mode=login/isu<br />&nbsp;&bull;&nbsp;For registration page:<br />&nbsp;&nbsp;&nbsp;/ucp.php\?mode=register/isu',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE'			=> 'Announcement content',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_EXPLAIN'			=> 'html or javascript (&lt;script type="text/javascript"&gt;...&lt;/script&gt;)<br />(See Template Event overall_header_content_before)',
	
	'ACP_EMPENNAGE_ADD_COPYRIGHT'		=> 'Add to page bottom after CopyRight',
	'ACP_EMPENNAGE_CONTENT_COPYRIGHT_APPEND_ON'				=> 'Switch ON',
	'ACP_EMPENNAGE_CONTENT_COPYRIGHT_APPEND_ON_EXPLAIN'				=> '',
	'ACP_EMPENNAGE_CONTENT_COPYRIGHT_APPEND'				=> 'Code and content',
	'ACP_EMPENNAGE_CONTENT_COPYRIGHT_APPEND_EXPLAIN'				=> 'html or javascript (&lt;script type="text/javascript"&gt;...&lt;/script&gt;)<br />(See Template Event overall_footer_copyright_append)',

	'ACP_EMPENNAGE_ADD_FOOTER'			=> 'Add to page after page footer',
	'ACP_EMPENNAGE_CONTENT_FOOTER_AFTER_ON'					=> 'Switch ON',
	'ACP_EMPENNAGE_CONTENT_FOOTER_AFTER_ON_EXPLAIN'					=> '',
	'ACP_EMPENNAGE_CONTENT_FOOTER_AFTER'					=> 'Code and content',
	'ACP_EMPENNAGE_CONTENT_FOOTER_AFTER_EXPLAIN'					=> 'html or javascript (&lt;script type="text/javascript"&gt;...&lt;/script&gt;)<br />(See Template Event overall_footer_after)',

	'ACP_EMPENNAGE_ADD_JS'				=> 'Add javascripts to page bottom',
	'ACP_EMPENNAGE_CONTENT_FOOTER_BODY_AFTER_ON'			=> 'Switch ON',
	'ACP_EMPENNAGE_CONTENT_FOOTER_BODY_AFTER_ON_EXPLAIN'			=> '',
	'ACP_EMPENNAGE_CONTENT_FOOTER_BODY_AFTER'				=> 'Javascript. Your can use JQuery.',
	'ACP_EMPENNAGE_CONTENT_FOOTER_BODY_AFTER_EXPLAIN'				=> 'Use &lt;script type="text/javascript"&gt;...&lt;/script&gt; for javascripts<br />(See Template Event overall_footer_body_after)',
	
	'ACP_EMPENNAGE_MODES'				=> 'Modes',
	'ACP_EMPENNAGE_DEBUG'									=> 'Switch ON debug mode (if errors found)',
	'ACP_EMPENNAGE_DEBUG_EXPLAIN'									=> 'If errors found, Your can see compiler messages and listing of compiled code at the page bottom',
	'ACP_EMPENNAGE_ALLOW_PHP'								=> 'Allow PHP',
	'ACP_EMPENNAGE_ALLOW_PHP_EXPLAIN'								=> 'Use $this->rootref[] for access to common template varyables.<br />
Use $this->tpldata[] for access to template varyables (if "Allow template data" is ON).<br />
Additional information see in files of this extension.<br />
Attention! Incorrect code provides crash of Your conference.',
	'ACP_EMPENNAGE_ALLOW_TPLDATA'							=> 'Allow template data',
	'ACP_EMPENNAGE_ALLOW_TPLDATA_EXPLAIN'							=> 'Allow usage template varyables and data (f.e. $this->tpldata[] in PHP; usage of $this->rootref[] always allowed)',

	'ACP_EMPENNAGE_EDITOR'				=> 'Editor',
	'ACP_EMPENNAGE_CODEMIRROR'			=> 'Use CodeMirror',
	'ACP_EMPENNAGE_CODEMIRROR_EXPLAIN'	=> '',
	'ACP_EMPENNAGE_CM_PATH'				=> 'Path to CodeMirror',
	'ACP_EMPENNAGE_CM_PATH_EXPLAIN'		=> 'URL or local address without slash at the end.<br />
<br />
<a href="http://codemirror.net/" target="_blank">CodeMirror</a> is a versatile text editor. Hints:<br />
&nbsp;&bull;&nbsp;use a button above code window for CodeMirror fullscreen edit, press Esc or F11 for return;<br />
&nbsp;&bull;&nbsp;mixed HTML, CSS, JavaScript sintax highlights.',

	'ACP_EMPENNAGE_TOKENS'				=> 'Tokens',
	'ACP_EMPENNAGE_TOKENS_EXPLAIN'		=> 'You can use any language string present in your language/ directory like this: {L_<em>&lt;STRINGNAME&gt;</em>} where <em>&lt;STRINGNAME&gt;</em> is the name of the translated string you want to add. For example, {L_WROTE} will be displayed as “wrote” or its translation according to user’s locale.<br />You can use root definitions at template, foe example {SCRIPT_NAME}. For local varyables, defined by DEFINE operator, use {$VARNAME}.',

	'ACP_EMPENNAGE_TEMPLATER'			=> 'Template compiler',
	'ACP_EMPENNAGE_TEMPLATER_EXPLAIN'	=> 'Your can use all constructions for phpBB 3.0.13 templates, except includes.<br />
Programs for different inclusions executes sequentially from top to bottom of page in common space of varyable names (local varyables, defined at page top, accessible at bottom).<br />
For debug purposes switch on PHP messages and listing (visible if PHP-compiler found errors).
',

));
