<?php
/**
*
* @package empennage: Add content to page bottom and top announcement
* @copyright (c) 2014 c61 c61@yandex.ru http://c61.su
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

namespace c61\empennage\migrations\v0xx;

class empennage_v_0_0_6 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['empennage_version']) && version_compare($this->config['empennage_version'], '0.0.6', '>=');
	}

	static public function depends_on()
	{
		return array(
			'\c61\empennage\migrations\v0xx\empennage_v_0_0_5'
		);
	}

	public function update_schema()
	{
		return array(
		);
	}

	public function revert_schema()
	{
		return array(
		);
	}

	public function update_data()
	{
		return array(
			// Update existing configs

			// Current version
			array('config.update', array('empennage_version', '0.0.6')),

			// Add configs
			array('config.add', array('empennage_content_header_content_before_on', '0')),
			array('config.add', array('empennage_content_header_content_before_for_bots', '1')),
			array('config.add', array('empennage_content_header_content_before_for_guests', '1')),
			array('config.add', array('empennage_content_header_content_before_for_users', '1')),
			array('config_text.add', array('empennage_content_header_content_before_for_url_mask', '')),
			array('config_text.add', array('empennage_content_header_content_before' ,'')),
		);
	}

}