<?php
/**
*
* empennage [Russian]
*
* @package empennage: Add code and content to the top/bottom of pages
* @copyright (c) 2014 c61 c61@yandex.ru http://c61.su
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

$lang = array_merge($lang, array(
	'ACP_EMPENNAGE'						=> 'Добавление кода и контента в верх/низ страниц',
	'ACP_EMPENNAGE_EXPLAIN'				=> 'Изменение настроек',

	'ACP_EMPENNAGE_CM_BUTTON'			=> 'Редактировать в полноэкранном режиме',

	'ACP_EMPENNAGE_DESCRIPTION'			=> 'Расширение позволяет добавлять код и контент в верх/низ страниц (css, html, javascript) для всех стилей, что может быть использовано, например, для добавления объявлений, счетчиков, информеров, отладки собственных стилей и скриптов.',
	
	'ACP_EMPENNAGE_ADD_STYLESHEET_JS'	=> 'Добавить стиль или скрипт в заголовок страницы',
	'ACP_EMPENNAGE_CONTENT_HEADER_STYLESHEETS_AFTER_ON'		=> 'Включить выдачу',
	'ACP_EMPENNAGE_CONTENT_HEADER_STYLESHEETS_AFTER_ON_EXPLAIN'		=> '',
	'ACP_EMPENNAGE_CONTENT_HEADER_STYLESHEETS_AFTER'		=> 'Стиль или скрипт',
	'ACP_EMPENNAGE_CONTENT_HEADER_STYLESHEETS_AFTER_EXPLAIN'		=> 'Используйте &lt;style type="text/css"&gt;...&lt;/style&gt; для стилей и &lt;script type="text/javascript"&gt;...&lt;/script&gt; для javascript<br />(Используется Template Event overall_header_stylesheets_after)',

	'ACP_EMPENNAGE_ADD_ANNOUNCEMENT'	=> 'Добавить объявление в верх страницы перед основным контентом',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_ON'		=> 'Включить выдачу объявления',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_ON_EXPLAIN'		=> 'Объявление будет выдано, если удовлетворены следующие условия (ИЛИ/И)',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_BOTS'		=> 'Включить для ботов',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_BOTS_EXPLAIN'		=> '((Объявление будут видеть боты)<br />ИЛИ',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_GUESTS'	=> 'Включить для гостей',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_GUESTS_EXPLAIN'	=> '(Объявление будут видеть гости)<br />ИЛИ',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_USERS'		=> 'Включить для зарегистрированных пользователей',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_USERS_EXPLAIN'		=> '(Объявление будут видеть зарегистрированные пользователи))',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_URL_MASK'	=> 'Включить для имени страницы и запроса, удовлетворяющих поиску по регулярному выражению',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_URL_MASK_EXPLAIN'	=> 'И ((Регулярное выражение пустое) ИЛИ (Регулярное выражение вернуло непустой результат))<br />Примеры:<br />&nbsp;&bull;&nbsp;Включить только для страницы входа:<br />&nbsp;&nbsp;&nbsp;/ucp.php\?mode=login/isu<br />&nbsp;&bull;&nbsp;Включить только для страницы регистрации:<br />&nbsp;&nbsp;&nbsp;/ucp.php\?mode=register/isu',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE'			=> 'Контент объявления, добавляемый в верх страниц',
	'ACP_EMPENNAGE_CONTENT_HEADER_CONTENT_BEFORE_EXPLAIN'			=> 'Код html или javascript (&lt;script type="text/javascript"&gt;...&lt;/script&gt;)<br />(Используется Template Event overall_header_content_before)',

	'ACP_EMPENNAGE_ADD_COPYRIGHT'		=> 'Добавить в низ страницы после CopyRight',
	'ACP_EMPENNAGE_CONTENT_COPYRIGHT_APPEND_ON'				=> 'Включить выдачу',
	'ACP_EMPENNAGE_CONTENT_COPYRIGHT_APPEND_ON_EXPLAIN'				=> '',
	'ACP_EMPENNAGE_CONTENT_COPYRIGHT_APPEND'				=> 'Код и контент',
	'ACP_EMPENNAGE_CONTENT_COPYRIGHT_APPEND_EXPLAIN'				=> 'Код html или javascript (&lt;script type="text/javascript"&gt;...&lt;/script&gt;)<br />(Используется Template Event overall_footer_copyright_append)',

	'ACP_EMPENNAGE_ADD_FOOTER'			=> 'Добавить в низ страницы после футера',
	'ACP_EMPENNAGE_CONTENT_FOOTER_AFTER_ON'					=> 'Включить выдачу',
	'ACP_EMPENNAGE_CONTENT_FOOTER_AFTER_ON_EXPLAIN'					=> '',
	'ACP_EMPENNAGE_CONTENT_FOOTER_AFTER'					=> 'Код и контент',
	'ACP_EMPENNAGE_CONTENT_FOOTER_AFTER_EXPLAIN'					=> 'Код html или javascript (&lt;script type="text/javascript"&gt;...&lt;/script&gt;)<br />(Используется Template Event overall_footer_after)',

	'ACP_EMPENNAGE_ADD_JS'				=> 'Добавить скрипт в низ страницы',
	'ACP_EMPENNAGE_CONTENT_FOOTER_BODY_AFTER_ON'			=> 'Включить выдачу',
	'ACP_EMPENNAGE_CONTENT_FOOTER_BODY_AFTER_ON_EXPLAIN'			=> '',
	'ACP_EMPENNAGE_CONTENT_FOOTER_BODY_AFTER'				=> 'Javascript. Можно использовать JQuery.',
	'ACP_EMPENNAGE_CONTENT_FOOTER_BODY_AFTER_EXPLAIN'				=> 'Используйте &lt;script type="text/javascript"&gt;...&lt;/script&gt; для javascript<br />(Используется Template Event overall_footer_body_after)',

	'ACP_EMPENNAGE_MODES'				=> 'Режимы работы',
	'ACP_EMPENNAGE_DEBUG'									=> 'Включить выдачу отладочной информации при обнаружении ошибок',
	'ACP_EMPENNAGE_DEBUG_EXPLAIN'									=> 'При наличии ошибок внизу страницы появится сообщение компилятора и листинг скомпилированного кода',
	'ACP_EMPENNAGE_ALLOW_PHP'								=> 'Разрешить PHP',
	'ACP_EMPENNAGE_ALLOW_PHP_EXPLAIN'								=> 'К переменным основного шаблона можно доступиться через $this->rootref[]<br />
Используйте $this->tpldata[] для доступа к переменным шаблона (если включен режим "Разрешить использование переменных и данных шаблона").<br />
Дополнительную информацию можно получить анализируя файлы расширения.<br />
Будьте осторожны, исполнение некорректного кода может привести к неработоспособности конференции.',
	'ACP_EMPENNAGE_ALLOW_TPLDATA'							=> 'Разрешить использование переменных и данных шаблона',
	'ACP_EMPENNAGE_ALLOW_TPLDATA_EXPLAIN'							=> 'Разрешает использование переменных и данных шаблона (например, $this->tpldata[] в PHP; доступ к $this->rootref[] разрешён независимо от влючения этого режима)',

	'ACP_EMPENNAGE_EDITOR'				=> 'Редактор',
	'ACP_EMPENNAGE_CODEMIRROR'			=> 'Использовать CodeMirror',
	'ACP_EMPENNAGE_CODEMIRROR_EXPLAIN'	=> '',
	'ACP_EMPENNAGE_CM_PATH'				=> 'Путь к CodeMirror',
	'ACP_EMPENNAGE_CM_PATH_EXPLAIN'		=> 'Адрес в сети интернет или локальный без слэша в конце.<br />
<br />
<a href="http://codemirror.net/" target="_blank">CodeMirror</a> - это универсальный редактор. Подсказки:<br />
&nbsp;&bull;&nbsp;для перехода в редактор CodeMirror режим нажмите кнопку над окном редактирования, для возврата - F11 или Esc;<br />
&nbsp;&bull;&nbsp;подсвечивается смешанный синтаксис HTML, CSS, JavaScript.',

	'ACP_EMPENNAGE_TOKENS'				=> 'Лексемы',
	'ACP_EMPENNAGE_TOKENS_EXPLAIN'		=> 'Можно использовать любые языковые переменные из языковых файлов. Например, {L_<em>&lt;STRINGNAME&gt;</em>}, где <em>&lt;STRINGNAME&gt;</em> — это имя переведённой строки, которую вы хотите добавить. Например, {L_WROTE} будет отображено как «wrote» или переведено в зависимости от выбранного пользователем языка.<br />Можно использовать любые переменные, определённые для основного шаблона, например, {SCRIPT_NAME}. Для локальных переменных, определённых посредством DEFINE, используйте {$VARNAME}.',

	'ACP_EMPENNAGE_TEMPLATER'			=> 'Компилятор шаблонов',
	'ACP_EMPENNAGE_TEMPLATER_EXPLAIN'	=> 'Допустимы все конструкции для шаблоной phpBB 3.0.13, кроме включений файлов (INCLUDE и т.п.).<br />
Программы для разных вставок кода выполняются последовательно сверху вних в общем пространстве имён, то есть локальные переменные, определённые для вставки в верхней части страницы, доступны в для вставок в нижней части страницы.<br />
Для отладки можно включить выдачу отладочной информации при обнаружении ошибок.
',

));
