<?php
/**
*
* @package empennage: Add code and content to the top/bottom of pages
* @copyright (c) 2014 c61 c61@yandex.ru http://c61.su
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

namespace c61\empennage\migrations\v0xx;

class empennage_v_0_0_7 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['empennage_version']) && version_compare($this->config['empennage_version'], '0.0.7', '>=');
	}

	static public function depends_on()
	{
		return array(
			'\c61\empennage\migrations\v0xx\empennage_v_0_0_6'
		);
	}

	public function update_schema()
	{
		return array(
		);
	}

	public function revert_schema()
	{
		return array(
		);
	}

	public function update_data()
	{
		return array(
			// Update existing configs

			// Current version
			array('config.update', array('empennage_version', '0.0.7')),

			// Add configs
			array('config.add', array('empennage_content_header_stylesheet_after_on', '0')),
			array('config_text.add', array('empennage_content_header_stylesheet_after', '')),

			array('config.add', array('empennage_content_copyright_append_on', '0')),

			array('config.add', array('empennage_content_footer_after_on', '0')),

			array('config.add', array('empennage_content_footer_body_after_on', '0')),
			array('config_text.add', array('empennage_content_footer_body_after', '')),
		);
	}

}