<?php
/**
*
* @package empennage: Add code and content to the top/bottom of pages
* @copyright (c) 2014 c61 c61@yandex.ru http://c61.su
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

namespace c61\empennage\migrations\v0xx;

class empennage_v_0_1_3 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['empennage_version']) && version_compare($this->config['empennage_version'], '0.1.3', '>=');
	}

	static public function depends_on()
	{
		return array(
			'\c61\empennage\migrations\v0xx\empennage_v_0_1_2'
		);
	}

	public function update_schema()
	{
		return array(
		);
	}

	public function revert_schema()
	{
		return array(
		);
	}

	public function update_data()
	{
		return array(
			// Update existing configs

			// Current version
			array('config.update', array('empennage_version', '0.1.3')),

			// Add configs
			array('config.add', array('empennage_allow_tpldata', '0')),
		);
	}

}